Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Alan Third <[email-masked]>
Date: Wed, 7 Apr 2021 15:20:25 +0100

On Wed, Apr 07, 2021 at 02:45:59PM +0300, Eli Zaretskii wrote:
> > Date: Wed, 7 Apr 2021 10:58:09 +0100
> > From: Alan Third <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked],
> > 	[email-masked]
> > 
> > This appears to work, but I don't see anything else like it in
> > configure.ac, so it's maybe not a good idea:
> > 
> >         brew_libdir=`dirname ${BREW_LIBGCCJIT_PREFIX}/lib/gcc/*/libgccjit.so`
> >         LDFLAGS="$LDFLAGS -L${brew_libdir} -I${BREW_LIBGCCJIT_PREFIX}/include"
> 
> This is indeed non-portable, but using 'find' pipes into a suitable
> Sed script should be able to do that portably.

Is this better?

    if test -n "$BREW"; then
      BREW_LIBGCCJIT_PREFIX=`$BREW --prefix --installed libgccjit 2>/dev/null`
      if test "$BREW_LIBGCCJIT_PREFIX"; then
        brew_libdir=`find ${BREW_LIBGCCJIT_PREFIX}/ -name \*.so \
                     | sed -e '1!d;s|/[[^/]]*\.so$||'`
        CFLAGS="$CFLAGS -I${BREW_LIBGCCJIT_PREFIX}/include"
        LDFLAGS="$LDFLAGS -L${brew_libdir} -I${BREW_LIBGCCJIT_PREFIX}/include"
      fi
    fi

-- 
Alan Third